package com.rehome.filesync;

import android.content.Context;
import com.carlt.networklibs.NetworkManager;
import com.tencent.bugly.crashreport.CrashReport;
import com.xuexiang.xui.XUI;
import com.yolanda.nohttp.NoHttp;
import com.zhy.autolayout.config.AutoLayoutConifg;
import org.litepal.LitePalApplication;
import androidx.multidex.MultiDex;

public class MyApplication extends LitePalApplication{

    @Override
    public void onCreate() {
        super.onCreate();
        XUI.init(this);
        NoHttp.initialize(this);
        NoHttp.setDefaultConnectTimeout(60 * 1000);
        NoHttp.setDefaultReadTimeout(60 * 1000);
        AutoLayoutConifg.getInstance().useDeviceSize();
        NetworkManager.getInstance().init(this);
        CrashReport.initCrashReport(getApplicationContext(), "e266c6abbb", true);
    }

    @Override
    protected void attachBaseContext(Context base) {
        super.attachBaseContext(base);
        MultiDex.install(base);
    }
}
